<?php

namespace App\Transformers;

use App\Models\ComplaintSuggestions;
use League\Fractal\TransformerAbstract;

class ComplaintSuggestionsTransformer extends TransformerAbstract
{

    public function transform(ComplaintSuggestions $complaintSuggestions)
    {
        return [
            'id'  => $complaintSuggestions['id'],
            'mobile'    => $complaintSuggestions['mobile'],
            'upload_user'    => $complaintSuggestions['upload_user'],
            'uid'    => $complaintSuggestions['uid'],
            'content'    => $complaintSuggestions['content'],
            'created_at'    => date($complaintSuggestions['created_at']),
        ];
    }
}