<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-08-21
 * Time: 10:59
 */

namespace App\Transformers;


use App\Models\Upgrade;
use League\Fractal\TransformerAbstract;
use Illuminate\Support\Carbon;

class UpgradeTransformer extends TransformerAbstract {
    public function transform(Upgrade $upgrade)
    {
        return [
            'id'  => $upgrade['id'],
            'os'    => $upgrade['os'],
            'version'    => $upgrade['version'],
            'version_code'    => $upgrade['version_code'],
            'url'    => $upgrade['url'],
            'title'    => $upgrade['title'],
            'content'    => $upgrade['content'],
            'is_forced_update'    => $upgrade['is_forced_update'],
            'created_at' => Carbon::parse($upgrade['created_at'])->toDateTimeString(),
        ];
    }
}